clash-lib-1.8.4: Clash: a functional hardware description language - As a library

Copyright | (C) 2024 Martijn Bastiaan
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | None
Language | Haskell2010

Clash.Driver.Bool

Description

# Documentation

data OverridingBool Source #

Constructors

Auto |
Never |
Always |

#### Instances

Instances details

NFData OverridingBool Source # |
Instance details Defined in Clash.Driver.Bool Methods rnf :: OverridingBool -> () Source #
Bounded OverridingBool Source # |
Instance details Defined in Clash.Driver.Bool Methods minBound :: OverridingBool Source # maxBound :: OverridingBool Source #
Enum OverridingBool Source # |

Instance details

Defined in Clash.Driver.Bool

Methods

succ :: OverridingBool -> OverridingBool Source #

pred :: OverridingBool -> OverridingBool Source #

toEnum :: Int -> OverridingBool Source #

fromEnum :: OverridingBool -> Int Source #

enumFrom :: OverridingBool -> [OverridingBool] Source #

enumFromThen :: OverridingBool -> OverridingBool -> [OverridingBool] Source #

enumFromTo :: OverridingBool -> OverridingBool -> [OverridingBool] Source #

enumFromThenTo :: OverridingBool -> OverridingBool -> OverridingBool -> [OverridingBool] Source #

Generic OverridingBool Source # |

Instance details

Defined in Clash.Driver.Bool

Associated Types

type Rep OverridingBool |
Instance details Defined in Clash.Driver.Bool type Rep OverridingBool = D1 ('MetaData "OverridingBool" "Clash.Driver.Bool" "clash-lib-1.8.4-CsViYhmcYd4KTpfwGN07cn" 'False) (C1 ('MetaCons "Auto" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "Never" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "Always" 'PrefixI 'False) (U1 :: Type -> Type)))

Methods

from :: OverridingBool -> Rep OverridingBool x Source #

to :: Rep OverridingBool x -> OverridingBool Source #

Read OverridingBool Source # |
Instance details Defined in Clash.Driver.Bool Methods readsPrec :: Int -> ReadS OverridingBool Source # readList :: ReadS [OverridingBool] Source # readPrec :: ReadPrec OverridingBool Source # readListPrec :: ReadPrec [OverridingBool] Source #
Show OverridingBool Source # |
Instance details Defined in Clash.Driver.Bool Methods showsPrec :: Int -> OverridingBool -> ShowS Source # show :: OverridingBool -> String Source # showList :: [OverridingBool] -> ShowS Source #
Eq OverridingBool Source # |
Instance details Defined in Clash.Driver.Bool Methods (==) :: OverridingBool -> OverridingBool -> Bool Source # (/=) :: OverridingBool -> OverridingBool -> Bool Source #
Ord OverridingBool Source # |

Instance details

Defined in Clash.Driver.Bool

Methods

compare :: OverridingBool -> OverridingBool -> Ordering Source #

(<) :: OverridingBool -> OverridingBool -> Bool Source #

(<=) :: OverridingBool -> OverridingBool -> Bool Source #

(>) :: OverridingBool -> OverridingBool -> Bool Source #

(>=) :: OverridingBool -> OverridingBool -> Bool Source #

max :: OverridingBool -> OverridingBool -> OverridingBool Source #

min :: OverridingBool -> OverridingBool -> OverridingBool Source #

Hashable OverridingBool Source # |
Instance details Defined in Clash.Driver.Bool Methods hashWithSalt :: Int -> OverridingBool -> Int Source # hash :: OverridingBool -> Int Source #
type Rep OverridingBool Source # |
Instance details Defined in Clash.Driver.Bool type Rep OverridingBool = D1 ('MetaData "OverridingBool" "Clash.Driver.Bool" "clash-lib-1.8.4-CsViYhmcYd4KTpfwGN07cn" 'False) (C1 ('MetaCons "Auto" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "Never" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "Always" 'PrefixI 'False) (U1 :: Type -> Type)))

toGhcOverridingBool :: OverridingBool -> OverridingBool Source #

fromGhcOverridingBool :: OverridingBool -> OverridingBool Source #